Subject: Re: bug#14373: echo command

From: Eric Blake <[email-masked]>
Date: Wed, 08 May 2013 20:28:39 -0600

On 05/08/2013 04:30 PM, Cesar Celis Hernández wrote:
> I would like to use the echo options but it seems that is not working as
> the man echo says. So I am little bit lost here. How to use the echo
> options?

One other thing:

POSIX itself says that echo's options are inherently non-portable.  If
you are trying to use 'echo -n' or 'echo -e', you should REALLY consider
rewriting your script to use printf(1) instead, because then you won't
run into portability nightmares when your script is run on a different
platform (this is true whether you use the shell's builtin echo, or
whether you use 'env echo' to bypass the shell builtin and get whatever
is installed on PATH).

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org